<template>
  <v-container
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-handshake"
      icon-small
      :title="$t('proveedores')"
      color="secondary"
    >
      <v-row>
        <v-col cols="12" md="12" sm="12">
          <ProveedoresTabla
            ref="proveedoresTabla"
            @onNuevoProveedor="nuevoProveedor"
            @onEditarProveedor="editarProveedor"
            class="pt-6 pl-8 pr-8 pb-8"
          />
        </v-col>
      </v-row>
      <v-dialog v-model="modal" max-width="700" transition="dialog-bottom-transition" persistent>
          <ProveedoresForm
            :proveedor="proveedorData"
            @onProveedorGuardado="proveedorGuardado"
            @onCancelarGuardar="cancelarGuardado"
          />
      </v-dialog>
    </material-card>
  </v-container>
</template>

<script>
import ProveedoresForm from '@/components/Proveedores/ProveedoresForm'
import ProveedoresTabla from '@/components/Proveedores/ProveedoresTabla'
export default {
  components: {
    ProveedoresForm,
    ProveedoresTabla
  },
  props: {

  },
  data () {
    return {
      modal: false,
      proveedorData: null
    }
  },
  methods: {
    nuevoProveedor() {
      this.proveedorData = null
      this.modal = true
    },
    proveedorGuardado() {
      this.modal = false
      this.proveedorData = null
      this.$refs.proveedoresTabla.refreshTable()
    },
    editarProveedor(value) {
      this.proveedorData = value
      this.modal = true
    },
    cancelarGuardado() {
      this.proveedorData = null
      this.modal = false
    }
  },
  created(){
  }
}
</script>

<style>

</style>
